Bug 479148 - Connection problem with openssl
Connection problem with openssl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: freetds (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 11:06 EST by Nicolas Raspail
Modified: 2009-01-21 16:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:33:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Raspail 2009-01-07 11:06:52 EST
Description of problem:
In Fedora 10, freetds in in version 0.82 and compiled with openssl. I'm trying to connect to an SQL Server 2005 with tsql and perl with DBD-Sybase without success with this version.

[l223045@eqdw3padm001 Download]$ tsql -S CLINF001INFRA1 -U unixteam
locale is "en_US.UTF-8"
locale charset is "UTF-8"
10Msg 20003, Level 6, State -1, Server OpenClient, Line -1
Adaptive Server connection timed out
Msg 20002, Level 9, State -1, Server OpenClient, Line -1
Adaptive Server connection failed
There was a problem connecting to the server

With the version 0.64, everything is fine. I have made son research on Google and found http://lists.ibiblio.org/pipermail/freetds/2008q1/023030.html

I have recompiled the source with gnutls and now, tsql and perl works fine.

Maybe the RPM need to be rebuilt with gnutls instead of openssl. I will test that solution and see if its works

Thanks

Regards

Nicolas

Version-Release number of selected component (if applicable):
0.82

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
unable to connect

Expected results:
Connection successfull

Additional info:
Comment 1 Dmitry Butskoy 2009-01-07 11:38:02 EST
What about the rest of that discussion: 
http://lists.ibiblio.org/pipermail/freetds/2008q1/023031.html

in other words, maybe just change a bit in config files?
Comment 2 Nicolas Raspail 2009-01-08 01:59:17 EST
Hi,

sorry, I have forgotten to say that I have tried with encryption set to request, required, off without success.

With the source of freetds compiled against gnutls, I'm able to connect to the sql server with the default settings of encryption (off) and when setting to request or required.

I'm downloading the src rpm of freetds to rebuild it against freetds and see if that works or not

Thanks

Regards

Nicolas
Comment 3 Nicolas Raspail 2009-01-08 02:17:01 EST
Hi,

I have just finished to rebuild the RPM of FreeTDS, changing --with-openssl by --with-gnutls and everything is working fine with every value of encryption

My configuration file

#   $Id: freetds.conf,v 1.12 2007/12/25 06:02:36 jklowden Exp $
#
# This file is installed by FreeTDS if no file by the same 
# name is found in the installation directory.  
#
# For information about the layout of this file and its settings, 
# see the freetds.conf manpage "man freetds.conf".  

# Global settings are overridden by those in a database
# server specific section
[global]
        # TDS protocol version
	tds version = 8.0

	# Whether to write a TDSDUMP file for diagnostic purposes
	# (setting this to /tmp is insecure on a multi-user system)
;	dump file = /tmp/freetds.log
;	debug flags = 0xffff

	# Command and connection timeouts
;	timeout = 10
;	connect timeout = 10
	
	# If you get out-of-memory errors, it may mean that your client
	# is trying to allocate a huge buffer for a TEXT field.  
	# Try setting 'text size' to a more reasonable limit 
	text size = 64512

[CLINF001INFRA1]
        host = clinf001infra1
        port = 1454
        tds version = 8.0

Nicolas
Comment 4 Fedora Update System 2009-01-11 12:45:29 EST
freetds-0.82-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freetds-0.82-3.fc10
Comment 5 Fedora Update System 2009-01-14 22:03:38 EST
freetds-0.82-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freetds'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0497
Comment 6 Fedora Update System 2009-01-21 16:33:44 EST
freetds-0.82-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.